ome-files 0.2.2

Public Types | Public Member Functions | Private Attributes | List of all members
ome::files::MetadataOptions Class Reference

Metadata options. More...

`#include <ome/files/MetadataOptions.h>`

## Public Types
enum | MetadataLevel { METADATA_MINIMUM, METADATA_NO_OVERLAYS, METADATA_ALL }
| Amount of metadata to store. More...

## Public Member Functions
| MetadataOptions ()
| Constructor. More...
| MetadataOptions (MetadataLevel level)
| Constructor. More...
virtual | ~MetadataOptions ()
| Destructor.
MetadataLevel | getMetadataLevel () const
| Get the metadata level. More...
void | setMetadataLevel (MetadataLevel level)
| Set the metadata level. More...

## Private Attributes
MetadataLevel | level
| Amount of metadata to store.

## Detailed Description

Metadata options.

## Member Enumeration Documentation

## § MetadataLevel

enum ome::files::MetadataOptions::MetadataLevel

Amount of metadata to store.

Enumerator
METADATA_MINIMUM | Store a minimal amount of metadata.
METADATA_NO_OVERLAYS | Store all metadata except overlays.
METADATA_ALL | Store all metadata.

## Constructor & Destructor Documentation

## § MetadataOptions() [1/2]

ome::files::MetadataOptions::MetadataOptions | ( |  | ) |

Constructor.

Default to storing all metadata.

## § MetadataOptions() [2/2]

ome::files::MetadataOptions::MetadataOptions | ( | MetadataLevel | level | ) |

Constructor.

Parameters

  level | the amount of metadata to store.

## Member Function Documentation

## § getMetadataLevel()

MetadataOptions::MetadataLevel ome::files::MetadataOptions::getMetadataLevel | ( |  | ) | const

Get the metadata level.

Returns
  the metadata level.

References level.

## § setMetadataLevel()

void ome::files::MetadataOptions::setMetadataLevel | ( | MetadataLevel | level | ) |

Set the metadata level.

Parameters

  level | the metadata level to set.

References level.

The documentation for this class was generated from the following files:

- ome/files/MetadataOptions.h
- ome/files/MetadataOptions.cpp